Bug 30051 - [Qt] Dragging an image does not show the image being dragged
Summary: [Qt] Dragging an image does not show the image being dragged
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords: Qt
Depends on:
Blocks:
 
Reported: 2009-10-03 21:34 PDT by Benjamin Meyer
Modified: 2009-10-06 11:55 PDT (History)
1 user (show)

See Also:


Attachments
patch (1.15 KB, patch)
2009-10-03 21:34 PDT, Benjamin Meyer
eric: review-
Details | Formatted Diff | Diff
patch (1.74 KB, patch)
2009-10-05 22:26 PDT, Benjamin Meyer
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Benjamin Meyer 2009-10-03 21:34:44 PDT
Created attachment 40589 [details]
patch

When the drag data contains an image set it on the QDrag so it will be visible to the user.
Comment 1 Eric Seidel (no email) 2009-10-05 09:23:32 PDT
Comment on attachment 40589 [details]
patch

Every change requires a ChangeLog.  In general this looks good though.  I assume that QPixmaps have their own ref-counting of some form?
Comment 2 Benjamin Meyer 2009-10-05 22:26:40 PDT
Created attachment 40689 [details]
patch
Comment 3 WebKit Commit Bot 2009-10-06 11:55:24 PDT
Comment on attachment 40689 [details]
patch

Clearing flags on attachment: 40689

Committed r49200: <http://trac.webkit.org/changeset/49200>
Comment 4 WebKit Commit Bot 2009-10-06 11:55:27 PDT
All reviewed patches have been landed.  Closing bug.